Bug 1220515 - net/bridge/br_private.h:626 suspicious rcu_dereference_check() usage!
Summary: net/bridge/br_private.h:626 suspicious rcu_dereference_check() usage!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-11 17:54 UTC by poma
Modified: 2015-05-13 15:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-12 01:38:08 UTC
Type: Bug


Attachments (Terms of Use)

Description poma 2015-05-11 17:54:46 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 poma 2015-05-11 17:56:15 UTC
...
[   44.182420] device enp3s0 entered promiscuous mode
[   44.183508] bridge0: port 1(enp3s0) entered forwarding state
[   44.184216] bridge0: port 1(enp3s0) entered forwarding state
[   59.232867] bridge0: port 1(enp3s0) entered forwarding state

[   59.232878] ===============================
[   59.232879] [ INFO: suspicious RCU usage. ]
[   59.232881] 4.1.0-0.rc3.git0.1.fc23.x86_64+debug #1 Tainted: G        WC     
[   59.232883] -------------------------------
[   59.232884] net/bridge/br_private.h:626 suspicious rcu_dereference_check() usage!
[   59.232885] 
other info that might help us debug this:

[   59.232887] 
rcu_scheduler_active = 1, debug_locks = 0
[   59.232889] 2 locks held by locate/3730:
[   59.232890]  #0:  (((&p->forward_delay_timer))){+.-...}, at: [<ffffffff8113bf25>] call_timer_fn+0x5/0x4f0
[   59.232899]  #1:  (&(&br->lock)->rlock){+.-...}, at: [<ffffffffa0968dc1>] br_forward_delay_timer_expired+0x31/0x140 [bridge]
[   59.232908] 
stack backtrace:
[   59.232911] CPU: 3 PID: 3730 Comm: locate Tainted: G        WC      4.1.0-0.rc3.git0.1.fc23.x86_64+debug #1
...
[   59.232922] Call Trace:
[   59.232923]  <IRQ>  [<ffffffff81895355>] dump_stack+0x4c/0x65
[   59.232930]  [<ffffffff8110dd17>] lockdep_rcu_suspicious+0xe7/0x120
[   59.232935]  [<ffffffffa096a0f9>] br_fill_ifinfo+0x4a9/0x6a0 [bridge]
[   59.232940]  [<ffffffffa096a66b>] br_ifinfo_notify+0x11b/0x4b0 [bridge]
[   59.232944]  [<ffffffffa0968d90>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   59.232948]  [<ffffffffa0968de8>] br_forward_delay_timer_expired+0x58/0x140 [bridge]
[   59.232952]  [<ffffffffa0968d90>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   59.232954]  [<ffffffff8113bfe3>] call_timer_fn+0xc3/0x4f0
[   59.232956]  [<ffffffff8113bf25>] ? call_timer_fn+0x5/0x4f0
[   59.232958]  [<ffffffff8110c94f>] ? lock_release_holdtime.part.29+0xf/0x200
[   59.232962]  [<ffffffffa0968d90>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   59.232964]  [<ffffffff8113c654>] run_timer_softirq+0x244/0x490
[   59.232967]  [<ffffffff810b687c>] __do_softirq+0xec/0x670
[   59.232970]  [<ffffffff810b7085>] irq_exit+0x145/0x150
[   59.232972]  [<ffffffff818a20c6>] smp_apic_timer_interrupt+0x46/0x60
[   59.232974]  [<ffffffff818a00e3>] apic_timer_interrupt+0x73/0x80
[   59.232975]  <EOI> 
...

Comment 4 poma 2015-05-12 01:38:08 UTC
Thanks, but this was the wasted time.

Comment 5 poma 2015-05-13 15:33:11 UTC
[   43.085475] device enp3s0 entered promiscuous mode
[   43.086347] bridge0: port 1(enp3s0) entered forwarding state
[   43.087585] bridge0: port 1(enp3s0) entered forwarding state
[   58.218881] bridge0: port 1(enp3s0) entered forwarding state

[   58.218913] ===============================
[   58.218918] [ INFO: suspicious RCU usage. ]
[   58.218925] 4.1.0-0.rc3.git1.2.fc21.x86_64 #1 Not tainted
[   58.218929] -------------------------------
[   58.218935] net/bridge/br_private.h:626 suspicious rcu_dereference_check() usage!
[   58.218944] 
other info that might help us debug this:

[   58.218953] 
rcu_scheduler_active = 1, debug_locks = 0
[   58.218960] 2 locks held by swapper/1/0:
[   58.218964]  #0:  (((&p->forward_delay_timer))){+.-...}, at: [<ffffffff8113c5e5>] call_timer_fn+0x5/0x4f0
[   58.218989]  #1:  (&(&br->lock)->rlock){+.-...}, at: [<ffffffffa091ed51>] br_forward_delay_timer_expired+0x31/0x140 [bridge]
[   58.219021] 
stack backtrace:
[   58.219030] CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.1.0-0.rc3.git1.2.fc21.x86_64 #1
...
[   58.219072] Call Trace:
[   58.219076]  <IRQ>  [<ffffffff81893567>] dump_stack+0x4c/0x65
[   58.219095]  [<ffffffff8110e367>] lockdep_rcu_suspicious+0xe7/0x120
[   58.219113]  [<ffffffffa09202b1>] br_fill_ifinfo+0x481/0x6b0 [bridge]
[   58.219122]  [<ffffffff81028eda>] ? native_sched_clock+0x2a/0xa0
[   58.219139]  [<ffffffffa0920607>] br_ifinfo_notify+0x127/0x4c0 [bridge]
[   58.219155]  [<ffffffffa091ed20>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   58.219169]  [<ffffffffa091ed78>] br_forward_delay_timer_expired+0x58/0x140 [bridge]
[   58.219184]  [<ffffffffa091ed20>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   58.219191]  [<ffffffff8113c6a3>] call_timer_fn+0xc3/0x4f0
[   58.219199]  [<ffffffff8113c5e5>] ? call_timer_fn+0x5/0x4f0
[   58.219206]  [<ffffffff8110ceef>] ? lock_release_holdtime.part.29+0xf/0x200
[   58.219222]  [<ffffffffa091ed20>] ? br_hold_timer_expired+0x70/0x70 [bridge]
[   58.219230]  [<ffffffff8113cd84>] run_timer_softirq+0x2b4/0x4b0
[   58.219240]  [<ffffffff810b76dc>] __do_softirq+0xec/0x650
[   58.219249]  [<ffffffff810b7ea5>] irq_exit+0x125/0x130
[   58.219256]  [<ffffffff818a03c6>] smp_apic_timer_interrupt+0x46/0x60
[   58.219265]  [<ffffffff8189e3e3>] apic_timer_interrupt+0x73/0x80
[   58.219269]  <EOI>  [<ffffffff8110ceef>] ? lock_release_holdtime.part.29+0xf/0x200
[   58.219283]  [<ffffffff81070016>] ? native_safe_halt+0x6/0x10
[   58.219291]  [<ffffffff811109ed>] ? trace_hardirqs_on+0xd/0x10
[   58.219298]  [<ffffffff8102a0c3>] default_idle+0x23/0x230
[   58.219306]  [<ffffffff8102a349>] amd_e400_idle+0x79/0x110
[   58.219314]  [<ffffffff8102ad2f>] arch_cpu_idle+0xf/0x20
[   58.219321]  [<ffffffff811063dc>] cpu_startup_entry+0x38c/0x590
[   58.219330]  [<ffffffff8105b93e>] start_secondary+0x19e/0x1e0
...


Note You need to log in before you can comment on or make changes to this bug.